### Signal

# Ide GreeterSection::project-activated

#### Declaration

    void
    project_activated (
      IdeGreeterSection* self,
      IdeProjectInfo* project_info,
      gpointer user_data
    )

#### Description

The “project-activated” signal is emitted when a project has been selected by the user in the section.

Use `ide_greeter_section_emit_project_activated()` to activate this signal.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 3.32

#### Parameters

`project_info` | `IdeProjectInfo`
| An `IdeProjectInfo`.
| The data is owned by the caller of the function.